summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-07-20 07:01:37 +0200
committerHans de Graaff <graaff@gentoo.org>2016-07-20 07:01:37 +0200
commit45436521273a993d124d4e908e8f9d18565e06e5 (patch)
treebc49ed0808c65733660a9b7a8ec3eed2d0f4d20b /dev-ruby/flexmock
parentdev-ruby/arel: add 7.1.0 (diff)
downloadgentoo-45436521273a993d124d4e908e8f9d18565e06e5.tar.gz
gentoo-45436521273a993d124d4e908e8f9d18565e06e5.tar.bz2
gentoo-45436521273a993d124d4e908e8f9d18565e06e5.zip
dev-ruby/flexmock: add 2.2.1
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/flexmock')
-rw-r--r--dev-ruby/flexmock/Manifest1
-rw-r--r--dev-ruby/flexmock/flexmock-2.2.1.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/flexmock/Manifest b/dev-ruby/flexmock/Manifest
index fb426f8dd45..66b5287d846 100644
--- a/dev-ruby/flexmock/Manifest
+++ b/dev-ruby/flexmock/Manifest
@@ -1,3 +1,4 @@
DIST flexmock-1.3.3.gem 81920 SHA256 1d9cc7dd01b43a25447d85477b8ab096481be0a6536aa6587286082c40f35f9d SHA512 2d440ec5bdbaea0a314f9e40645b194d9e5d29e9dc93c9b38d7fdb256bd4ffb3dba312d7a5630e6d849e360b7f337f6e5e0995a5da6210db2577516a62a66f54 WHIRLPOOL 568005d1238f3927e188cc74756e54512855f146ec729309946837fa2235c0bcf18e05a0bcfd78b938b76fddb239c857bff12a37495fc47d68cf31c25db64c52
DIST flexmock-2.0.5.tar.gz 84688 SHA256 7879f690ad3c2de924844eff0826fa7b05de4db0cc7a21a5c94f157fbfb81a77 SHA512 3f377617d745740b91e4e6ca90379a03d689a643a678240d9f4d3eae374fbd88b2396cfb3420634859bf3456a3d1d95cc7d50fef3d2c1d83e836e57e3b3edef4 WHIRLPOOL c1f2e93f94dd8e01b782e93df607e6e7f3eafa86951884b2871b0068fc816f73f054e2fe2b54ba1df6d464d33d0961904dd8217e77d655fb9d0247256ccd6343
DIST flexmock-2.1.0.tar.gz 85464 SHA256 6bc160c9be385d0b6b375da665f33c75015423cd31cea64c1c3f2f81ccf8b658 SHA512 547ff0d711d7a5a33a3057ac57e054843a97fc183b3819f7c2a16efc3cd38731bdd8ddf5d800fff780ff6e6209dcd319dc3d556323524627ce28e5e2842fe304 WHIRLPOOL e6dd191021de331c50c76ae461c62b86a151f326910e05d67b51bc608d5a7f97b63234e3fdfcde0b5c898e1f0241dde84ad501bf21dd7770b10a80e70f17b0d3
+DIST flexmock-2.2.1.tar.gz 86088 SHA256 0c43782b06cd445c4262f9fc4f62c80dad2a2e4cdb8c82e620f37c706f072729 SHA512 303ec49a257a65eac2fffdba8cb2cebaafa7523225b5c8facf4d55f30372d43e22a8895d103859a2d90a1894987ef863001a982c756365822d0499e95be3c969 WHIRLPOOL 6d1d5b2dd0a7aea087f33c679fbae7196b9b013bd1572a661cc11e9fb0455b3251f24c78f36b7ad85fa93024af192badf6f93eb646d89be05f453f4ae4fbebfe
diff --git a/dev-ruby/flexmock/flexmock-2.2.1.ebuild b/dev-ruby/flexmock/flexmock-2.2.1.ebuild
new file mode 100644
index 00000000000..848d744fbf1
--- /dev/null
+++ b/dev-ruby/flexmock/flexmock-2.2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_DOCDIR="html"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md doc/*.rdoc doc/releases/*"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple mock object library for Ruby unit testing"
+HOMEPAGE="https://github.com/doudou/flexmock"
+SRC_URI="https://github.com/doudou/flexmock/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="flexmock"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/minitest:5
+ dev-ruby/rspec:3
+ )"
+
+each_ruby_test() {
+ RSPEC_VERSION=3 ruby-ng_rspec test/rspec_integration
+ ${RUBY} -Ilib:.:test -e 'Dir["test/*_test.rb"].each{|f| require f}' || die
+}
+
+all_ruby_prepare() {
+ sed -i -e '1igem "minitest", "~>5.0"' test/test_helper.rb || die
+}